package com.dev.swms.server.service.count;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.count.CommonCode;
import com.dev.swms.server.model.count.Consumables;
import com.dev.swms.server.model.count.Contract;


@Transactional(readOnly = false)
public interface CommonCodeManager extends BaseManager{
	@Transactional
	void storeCommonCode(CommonCode commonCode);

	@Transactional  
	void inActiveCommonCode(List<Long> ids);

	@Transactional
	void activeCommonCode(List<Long> ids);
	
	@Transactional
	void storeContract(Contract contract);
	
	@Transactional  
	void inActiveContract(List<Long> ids);

	@Transactional
	void activeContract(List<Long> ids);
	@Transactional
	void saveConsumables(Consumables consumables);
	@Transactional
	void deleteConsumables(List<Long> ids);
	
	
}
